from nz.org.riskscape.engine.function import DiscreteFunction, Maths

ID = 'frankenstein'
DESCRIPTION = 'Demonstrates a function built by glueing together other maths functions'

power = Maths.newPower(2)
poly = Maths.newPolynomial([40, -3, 0.4])

FUNCTION = DiscreteFunction.builder() \
           .addFunction(0, 5, power) \
           .addFunction(5, 100, poly) \
           .build()
